Interface
Options for the request() method.
Properties
| Property | Type | Notes |
|---|---|---|
authenticationinherited | string | IAuthenticationManager | The instance of |
barriers | IFeatureSet | [void, void] | IPoint | ILocation[] | |
credentialsinherited | RequestCredentials | A string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows. |
destinations | IFeatureSet | [void, void] | IPoint | ILocation[] | Specify the ending point locations to travel to from the origins. |
endpointinherited | string | Any ArcGIS Routing service (example: https://sampleserver3.arcgisonline.com/ArcGIS/rest/services/Network/USA/NAServer/Route/ ) to use for the routing service request. |
headersinherited | {} | Additional Headers to pass into the request. |
hideTokeninherited | boolean | Prevents the token from being passed in a URL Query param that is saved in browser history. Instead, the token will be passed in POST request body or through X-Esri-Authorization header. NOTE: This will force POST requests in browsers since auth header is not yet supported by preflight OPTIONS check with CORS. |
httpMethodinherited | HTTPMethods | The HTTP method to send the request with. |
maxUrlLengthinherited | number | If the length of a GET request's URL exceeds |
origins | IFeatureSet | [void, void] | IPoint | ILocation[] | Specify the starting points from which to travel to the destinations. |
outputType | "esriNAODOutputSparseMatrix" | "esriNAODOutputStraightLines" | "esriNAODOutputNoLines" | Specify the type of output returned by the service. Defaults to "esriNAODOutputSparseMatrix". |
paramsinherited | IParams | Additional parameters to pass in the request. |
polygonBarriers | IFeatureSet | |
polylineBarriers | IFeatureSet | |
portalinherited | string | Base url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'. |
rawResponseinherited | boolean | Return the raw response |
requestinherited | (url: string, requestOptions: InternalRequestOptions) => Promise<any> | Override the default function for making the request. This is mainly useful for testing purposes (i.e. so you can pass in a spy). |
returnBarriers | boolean | |
returnDestinations | boolean | |
returnOrigins | boolean | |
returnPolygonBarriers | boolean | |
returnPolylineBarriers | boolean | |
signalinherited | AbortSignal | An AbortSignal object instance; allows you to abort a request and via an AbortController. |
suppressWarningsinherited | boolean | Suppress any ArcGIS REST JS related warnings for this request. |
authentication
authentication: string | IAuthenticationManagerThe instance of @esri/arcgis-rest-request!ArcGISIdentityManager , @esri/arcgis-rest-request!ApplicationCredentialsManager or @esri/arcgis-rest-request!ApiKeyManager to use to authenticate this request. A token may also be passed directly as a string however using the built in authentication managers is encouraged.
barriers
barriers: IFeatureSet | [void, void] | IPoint | ILocation[]credentials
credentials: RequestCredentialsA string indicating whether credentials (cookies) will be sent with the request. Used internally for authentication workflows.
destinations
Interface Propertydestinations: IFeatureSet | [void, void] | IPoint | ILocation[]Specify the ending point locations to travel to from the origins.
endpoint
endpoint: stringAny ArcGIS Routing service (example: https://sampleserver3.arcgisonline.com/ArcGIS/rest/services/Network/USA/NAServer/Route/ ) to use for the routing service request.
headers
headers: {}Additional Headers to pass into the request.
Type declaration
hideToken
hideToken: booleanPrevents the token from being passed in a URL Query param that is saved in browser history. Instead, the token will be passed in POST request body or through X-Esri-Authorization header. NOTE: This will force POST requests in browsers since auth header is not yet supported by preflight OPTIONS check with CORS.
httpMethod
httpMethod: HTTPMethodsThe HTTP method to send the request with.
maxUrlLength
maxUrlLength: numberIf the length of a GET request's URL exceeds maxUrlLength the request will use POST instead.
origins
Interface Propertyorigins: IFeatureSet | [void, void] | IPoint | ILocation[]Specify the starting points from which to travel to the destinations.
outputType
outputType: "esriNAODOutputSparseMatrix" | "esriNAODOutputStraightLines" | "esriNAODOutputNoLines"Specify the type of output returned by the service. Defaults to "esriNAODOutputSparseMatrix".
polygonBarriers
polygonBarriers: IFeatureSetpolylineBarriers
polylineBarriers: IFeatureSetportal
portal: stringBase url for the portal you want to make the request to. Defaults to authentication.portal if authentication exists, otherwise to 'https://www.arcgis.com/sharing/rest'.
request
request: (url: string, requestOptions: InternalRequestOptions) => Promise<any>Override the default function for making the request. This is mainly useful for testing purposes (i.e. so you can pass in a spy).
Type declaration
function(url: string, requestOptions: InternalRequestOptions): Promise<any>Parameters
| Parameter | Type |
|---|---|
url | string |
request | InternalRequestOptions |
Returns
Promise<any>signal
signal: AbortSignalAn AbortSignal object instance; allows you to abort a request and via an AbortController.
suppressWarnings
suppressWarnings: booleanSuppress any ArcGIS REST JS related warnings for this request.